Bug 150376 - unloading netconsole causes oops
unloading netconsole causes oops
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Moyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 23:26 EST by p thompson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p thompson 2005-03-04 23:26:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
service netdump restart causes:
Unable to handle kernel NULL pointer dereference at virtual address
00000188
 printing eip:
c02b2fd4
*pde = 0a2ad067
Oops: 0002 [#1]
Modules linked in: netconsole smbfs ipt_MASQUERADE iptable_nat parport
autofs4 sunrpc ipt
_REJECT ipt_LOG ipt_state ip_conntrack iptable_filter ip_tables vfat
fat dm_mod uhci_hcd
snd_ens1371 snd_rawmidi snd_seq_device snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm s
nd_timer snd soundcore snd_page_alloc gameport eepro100 mii ext3 jbd
raid5 xor raid0 aic7
xxx sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c02b2fd4>]    Not tainted VLI
EFLAGS: 00010246   (2.6.10-1.766_FC3)
EIP is at netpoll_cleanup+0x141/0x150
eax: 00000000   ebx: d88fccc0   ecx: 00000246   edx: 000079b6
esi: 00000000   edi: 00000000   ebp: cacb0000   esp: cacb0f64
ds: 007b   es: 007b   ss: 0068
Process rmmod (pid: 6562, threadinfo=cacb0000 task=cbbb4b30)
Stack: d88fd200 00000000 d88fc25a c01357b8 00000000 6374656e 6f736e6f
0000656c
       cc314ca0 b7fbf000 b7fc0000 c0152bbb cc314ca0 caba8b4c c0152f7e
cc5dfe94
       cc314ca0 cc314cd0 00000000 00000000 bffe4840 bffe4840 bffe4840
c0103443
Call Trace:
 [<d88fc25a>] cleanup_netconsole+0x1d/0x33 [netconsole]
 [<c01357b8>] sys_delete_module+0x125/0x15d
 [<c0152bbb>] unmap_vma_list+0xe/0x17
 [<c0152f7e>] do_munmap+0x1dc/0x1e6
 [<c0103443>] syscall_call+0x7/0xb
Code: 11 33 c0 68 7d 89 30 c0 e8 0d 80 e6 ff c7 05 e0 32 37 c0 00 00
00 00 56 9d 8b 03 85
 c0 74 0a c7 80 04 02 00 00 00 00 00 00 8b 03 <ff> 88 88 01 00 00 c7
03 00 00 00 00 5b 5e
 c3 a1 88 a6 41 c0 c3
Unable to handle kernel paging request at virtual address d89015b9
 printing eip:
d89015b9
*pde = 17dab067
Oops: 0000 [#2]
Modules linked in: netconsole smbfs ipt_MASQUERADE iptable_nat parport
autofs4 sunrpc ipt
_REJECT ipt_LOG ipt_state ip_conntrack iptable_filter ip_tables vfat
fat dm_mod uhci_hcd
snd_ens1371 snd_rawmidi snd_seq_device snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm s
nd_timer snd soundcore snd_page_alloc gameport eepro100 mii ext3 jbd
raid5 xor raid0 aic7
xxx sd_mod scsi_mod
CPU:    0
EIP:    0060:[<d89015b9>]    Not tainted VLI
EFLAGS: 00010082   (2.6.10-1.766_FC3)
EIP is at 0xd89015b9
eax: cacb0f30   ebx: cacb0f30   ecx: c032c1d3   edx: d89015b9
esi: 00000002   edi: c030db78   ebp: cbbb4b30   esp: cacb0e14
ds: 007b   es: 007b   ss: 0068
Process rmmod (pid: 6562, threadinfo=cacb0000 task=cbbb4b30)
Stack: c013399b cacb0f30 c0103ced cacb0f30 c030db78 00000002 000000ff
0000000b
       c030dadb cc314cd0 caba8120 c030dadb cc314cd0 caba8120 c01153e7
c030db67
       0a2ad067 c031207c c02b2fd4 c030db54 c030db39 00000188 d79edeb4
00000000
Call Trace:
 [<c013399b>] try_crashdump+0x27/0x29
 [<c0103ced>] die+0x14b/0x242
 [<c01153e7>] do_page_fault+0x36f/0x4cb
 [<c02b2fd4>] netpoll_cleanup+0x141/0x150
 [<c01bee39>] avc_has_perm+0x3b/0x45
 [<c011520a>] do_page_fault+0x192/0x4cb
 [<c01c036e>] task_has_capability+0x4a/0x52
 [<c0115078>] do_page_fault+0x0/0x4cb
 [<c01035eb>] error_code+0x2b/0x30
 [<c02b2fd4>] netpoll_cleanup+0x141/0x150
 [<d88fc25a>] cleanup_netconsole+0x1d/0x33 [netconsole]
 [<c01357b8>] sys_delete_module+0x125/0x15d
 [<c0152bbb>] unmap_vma_list+0xe/0x17
 [<c0152f7e>] do_munmap+0x1dc/0x1e6
 [<c0103443>] syscall_call+0x7/0xb
Code:  Bad EIP value.
Unable to handle kernel paging request at virtual address d89015b9
 printing eip:
d89015b9
*pde = 17dab067
Recursive die() failure, output suppressed


Version-Release number of selected component (if applicable):
2.6.10-1.766_FC3 686 REGPARM 4KSTACKS gcc-3.4

How reproducible:
Sometimes

Steps to Reproduce:
1.service netdump restart
2.service netdump restart
3.service netdump restart
    

Actual Results:  see register dump above

Expected Results:  unloading of 
/lib/modules/2.6.10-1.766_FC3/kernel/drivers/net/netconsole.ko

Additional info:

netdump-server-0.7.0-1
kernel-utils-2.4-13.1.49_FC3
kernel-doc-2.6.10-1.766_FC3
netdump-0.7.0-1
kernel-2.6.10-1.766_FC3
Comment 1 Dave Jones 2005-04-20 03:45:32 EDT
still happening in the 2.6.11 kernel ?
Comment 2 p thompson 2005-04-23 10:27:39 EDT
This kernel seems to have corrected the problem.  However, bug [Bug 150374] New:
netdump chokes on eth1 device in /etc/sysconfig/netdump is still an issue.
Comment 3 Warren Togami 2005-04-27 02:03:26 EDT
[root@ibmlaptop /]# uname -a
Linux ibmlaptop 2.6.11-1.14_FC3 #1 Thu Apr 7 19:23:49 EDT 2005 i686 i686 i386
GNU/Linux

netconsole: local port 6665
netconsole: interface eth0
netconsole: remote port 6667
netconsole: remote IP 172.31.16.143
netconsole: remote ethernet address ff:ff:ff:ff:ff:ff
netconsole: eth0 doesn't support polling, aborting.
netconsole: failed to configure syslog service
netconsole: network logging started
Unable to handle kernel NULL pointer dereference at virtual address 00000188
 printing eip:
c030b9b6
*pde = 0fef3067
Oops: 0002 [#1]
Modules linked in: netconsole usblp udf vfat fat nfs lockd parport_pc lp parport
autofs4 pcmcia sunrpc md5 ipv6 microcode dm_mod video ibm_acpi button battery ac
yenta_socket rsrc_nonstatic pcmcia_core uhci_hcd ehci_hcd i2c_i801 i2c_core
snd_intel8x0m snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd soundcore snd_page_alloc e1000 aes_i586 airo xfs exportfs
CPU:    0
EIP:    0060:[<c030b9b6>]    Not tainted VLI
EFLAGS: 00010246   (2.6.11-1.14_FC3)
EIP is at netpoll_cleanup+0xb5/0x1a7
eax: 00000000   ebx: f8b4cd60   ecx: 00000000   edx: 00006dc1
esi: 00000000   edi: 0846b0d8   ebp: d4d40000   esp: d4d40f44
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 1411, threadinfo=d4d40000 task=d2f1f6b0)
Stack: b7fef000 f1434c24 0000003b f8b4d220 00000001 f8b4d220 00000000 c0121694
       f8b4d280 00000000 f8b4c2c6 c013fffd 00000000 6374656e 6f736e6f b700656c
       00000246 00000282 c3a13c80 00000246 f7ff3c80 c03bba00 ed01eb1c d7e1f980
Call Trace:
 [<c0121694>] unregister_console+0x3f/0x62
 [<f8b4c2c6>] cleanup_netconsole+0x31/0x33 [netconsole]
 [<c013fffd>] sys_delete_module+0x143/0x160
 [<c0103903>] syscall_call+0x7/0xb
Code: a1 ac 13 3e c0 85 c0 0f 85 cd 00 00 00 c7 05 a8 13 3e c0 00 00 00 00 56 9d
8b 03 85 c0 74 0c c7 80 04 02 00 00 00 00 00 00 8b 03 <ff> 88 88 01 00 00 c7 03
00 00 00 00 83 c4 20 5b 5e c3 e8 71 46
Comment 4 Dave Jones 2005-07-15 14:29:55 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:52:49 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.